غیر فعال کردن ادیتور Gutenberg در وردپرس

 

هنوز بسیاری از سایت های طراحی شده با وردپرس با ادیتور Gutenberg که در 6 دسامبر 2018 برروی نسخه 5.0 وردپرس ارائه شده نتوانسته اند ارتباط برقرار کنند و طراحان این سایت ها تمایل دارند این ادیتور پیش فرض را غیر فعال کنند همچنین این ادیتور باعث ایجاد اختلال در بعضی از پلاگین ها شده است که غیر فعال کردن آن نیاز بسیاری از طراحان وردپرس می باشد.

البته اشتباه نکنید Gutenberg امکانات بسیاری را در اختیار طراحان قرار می دهد و طراحانی نیز هستند که از ارائه این ادیتور بسیار هیجان زده شدند بهتر است قبل از امتحان این ویرایشگر بر روی سایت اصلی خود آن را در یک سایت آزمایشی نصب و نحوه ی استفاده از آن را آموزش ببینید زیرا Gutenberg یک ویرایش گر پیشرفته برای وردپرس می باشد.

در هر صورت توسعه دهنگان  وردپرس در حال توسعه و ارائه نسخه های مختلف برای بهبود این ویرایشگر می باشند شما می توانید تا دریافت یک نسخه بهینه از این ادیتور آن را بر روی سایت اصلی خود غیر فعال کنید و از مشکلات احتمالی ایجاد شده توسط این ادیتور جلو گیری نمایید .

 

غیر فعال کردن Gutenberg در وردپرس :

شما می توانید نسخه وردپرس خود را به ورژن 5 با بالا به روز رسانی کنید و سپس ادیتور را غیر فعال کنید البته باید در نظر داشته باشید که تیم وردپرس گفته است که افزونه Classic Editor فقط تا 31 دسامبر 2021 پشتیبانی رسمی خواهد شد. و پس از ان باید شما خود را با Gutenberg همگام نمایید.

گزینه 1 – افزونه Classic Editor WordPress را نصب کنید.

افزونه Classic Editor WordPress یک افزونه جدید نیست ، بلکه  ویرایشگر ساده قبلی WordPress است  که قبلاً از آن استفاده می کردید.

این توسط WordPress Contributors ساخته شده است و توسط تیم اصلی WordPress Core به عنوان روش فعلی برای حفظ ویرایشگر قدیمی تأیید شده است.

اگر با ویرایشگر جدید  بلوکی گوتنبرگ مشکلی دارید ، این راهی است که اکنون می توانید از آن استفاده کنید.

برای نصب این ادیتور کافی است از پیشخوان وردپرس خود  وارد بخش افزونه ها / افزودن  شوید و پلاگین Classic Editor را نصب و فعال کنید دقت داشته باشید با فعال کردن این ادیتور ویجت های که توسط گوتینبرگ ایجاد کرده اید مخفی خواهند شد.

با نصب این ادیتور داری دو حالت مختلف خواهید شد  که از بخش تنظیمات / نوشتن می توانید حالت آن را تغییر دهید .

استفاده از ادیتور ساده classic editor یا استفاده از ادیتور بلوکی Gutenberg

حالت 1 – ویرایشگر پیش فرض برای همه کاربران

تنظیم پیش فرض یا افزونه Classic Editor است که به ویرایشگر اصلی که قبلاً از آن استفاده کرده اید بازمی گردید (مطابق شکل زیر).

حالت 2 – به کاربران اجازه دهید ویرایشگرها را تغییر دهند

سپس شما می توانید به کاربران اجازه انتخاب دهید. شاید اکنون بخواهید ویرایشگر را به صورت پیش فرض در Classic قرار دهید ، اما این توانایی را دارید که به راحتی بین Classic و Gutenberg Block Editor جابجا شوید تا یادگیری آن را شروع کنید.

این گزینه های ویرایشگر جایگزین را در صفحه های پست ها و صفحات اضافه می کند. با استفاده از این پیوندها ، پست یا صفحه مربوطه در ویرایشگر کلاسیک Gutenberg Block Editor باز می شود. اگر نمی خواهید کاربران توانایی انتخاب داشته باشند ، می توانید این کار را به طور کلی غیرفعال کنید.

برعکس نیز کار می کند ، شاید شما بخواهید به طور پیش فرض به ویرایشگر جدید بلوک گوتنبرگ را داشته باشید ، اما به کاربران نیز  اجازه می دهید در صورت لزوم به Classic بازگردند. مگر اینکه روی لینک  “ویرایشگر کلاسیک” کلیک کنند ، پیام ها و صفحات موجود در ویرایشگر بلوک جدید گوتنبرگ (همانطور که در زیر مشاهده می شود) باز می شود.

گزینه 2- نصب افزونه Disable Gutenberg WordPress :

نصب این افزونه نیز عمل کردی شبیه نصب  ازون کلاسیک دارد برای این منظور کافی است از پیشخوان وردپرس خود وارد بخش افزونه ها / فزودن شوید و پلاگین disable Gutenberg را جستجو  نصب و فعال نمایید

با نصب این افزونه یک منو به اسم Disable Gutenberg در بخش تنظیمات اضافه  خواهد شد  که با انتخاب گزینه complelte disable   افزونه برای همه غیر قابل مشاهده خواهد شد

قدرت واقعی این افزونه در غیر فعال کردن  گزینه “Complete Disable” است. پس از غیر فعال کردن این گزینه به شما امکان می دهد گوتنبرگ را برای برخی از نقش ها ، انواع ارسال ، الگوهای صفحه و شناسه های پست غیرفعال یا فعال کنید

گزینه 3 – گوتنبرگ را با کد غیرفعال کنید

همچنین می توانید ویرایشگر گوتنبرگ را با کد غیرفعال کنید. به سادگی کد زیر را به فایل  function.php خود اضافه کنید.

;(add_filter(‘use_block_editor_for_post’, ‘__return_false’, 10

دقت کنید قبل از اعمال هر تغییر در کد های خود یک بک آپ از فایل های خود تهیه کنید زیرا  تغییر در کد می تواند باعث خراب شدن سایت شما شود .

هاست وردپرس پویاسازان با اختصاص منابع بیشتر و بهینه سازی ویژه وردپرس بهترین انتخاب برای میزبانی از سایت های وردپرسی است.

 

 

مطالب مرتبط

دیدگاهتان را بنویسید

نشانی ایمیل شما منتشر نخواهد شد.